/* Global styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  background-color: #f5f5f5;
  color: #333;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

/* Header Styles */
header {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

header .logo img {
  width: 50px;
  margin-right: 10px;
}

header h1 {
  font-size: 2rem;
  color: #131921; /* Amazon Dark Blue */
}

/* To-Do List Container */
.todo-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 600px;
  margin-bottom: 20px;
  padding: 10px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

#taskInput {
  width: 80%;
  padding: 20px;
  font-size: 1rem;
  border: 1px solid #ddd;
  border-radius: 5px;
}

#addTaskButton {
  padding: 20px 20px;
  background-color: #ff9900; /* Amazon Orange */
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  margin-left: 40px;
}

#addTaskButton:hover {
  background-color: #f2a200;
}

/* Task List */
ul {
  list-style: none;
  width: 100%;
  max-width: 600px;
  padding: 0;
}

li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #fff;
  padding: 15px;
  margin: 10px 0;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  border: 1px solid #ddd;
  border-radius: 5px;
}

li.completed {
  text-decoration: line-through;
  color: #aaa;
}

li img {
  width: 20px;
  cursor: pointer;
}

/* Footer Styles */
footer {
  margin-top: 20px;
  font-size: 0.8rem;
  color: #555;
}
